Loading...
Searching...
No Matches
juce::MarkerList::ValueTreeWrapper Class Reference

## Detailed Description

Forms a wrapper around a ValueTree that can be used for storing a MarkerList.

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_MarkerList.h

## Public Member Functions

| ValueTreeWrapper (const ValueTree &state)
ValueTree & | getState () noexcept
int | getNumMarkers () const
ValueTree | getMarkerState (int index) const
ValueTree | getMarkerState (const String &name) const
bool | containsMarker (const ValueTree &state) const
MarkerList::Marker | getMarker (const ValueTree &state) const
void | setMarker (const MarkerList::Marker &marker, UndoManager *undoManager)
void | removeMarker (const ValueTree &state, UndoManager *undoManager)
void | applyTo (MarkerList &markerList)
void | readFrom (const MarkerList &markerList, UndoManager *undoManager)

## Static Public Attributes

static const Identifier | markerTag
static const Identifier | nameProperty
static const Identifier | posProperty

## Constructors and Destructors

## ValueTreeWrapper()

juce::MarkerList::ValueTreeWrapper::ValueTreeWrapper | ( | const ValueTree & | state | ) |

## Member Functions

## getState()

ValueTree & juce::MarkerList::ValueTreeWrapper::getState | ( |  | ) |

inline noexcept

## getNumMarkers()

int juce::MarkerList::ValueTreeWrapper::getNumMarkers | ( |  | ) | const

## getMarkerState() [1/2]

ValueTree juce::MarkerList::ValueTreeWrapper::getMarkerState | ( | int | index | ) | const

## getMarkerState() [2/2]

ValueTree juce::MarkerList::ValueTreeWrapper::getMarkerState | ( | const String & | name | ) | const

References name.

## containsMarker()

bool juce::MarkerList::ValueTreeWrapper::containsMarker | ( | const ValueTree & | state | ) | const

## getMarker()

MarkerList::Marker juce::MarkerList::ValueTreeWrapper::getMarker | ( | const ValueTree & | state | ) | const

## setMarker()

void juce::MarkerList::ValueTreeWrapper::setMarker | ( | const MarkerList::Marker & | marker,
|  | UndoManager * | undoManager )

## removeMarker()

void juce::MarkerList::ValueTreeWrapper::removeMarker | ( | const ValueTree & | state,
|  | UndoManager * | undoManager )

## applyTo()

void juce::MarkerList::ValueTreeWrapper::applyTo | ( | MarkerList & | markerList | ) |

References juce::MarkerList::MarkerList().

## readFrom()

void juce::MarkerList::ValueTreeWrapper::readFrom | ( | const MarkerList & | markerList,
|  | UndoManager * | undoManager )

References juce::MarkerList::MarkerList().

## Member Data Documentation

## markerTag

const Identifier juce::MarkerList::ValueTreeWrapper::markerTag

static

## nameProperty

const Identifier juce::MarkerList::ValueTreeWrapper::nameProperty

static

## posProperty

const Identifier juce::MarkerList::ValueTreeWrapper::posProperty

static

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited